import { jsxs, jsx } from 'react/jsx-runtime';
import { useState, useEffect } from 'react';
import Tooltip from '@rescui/tooltip';
import { InfoIcon } from '@rescui/icons';
import styles from './privacy-notice.module.pcss.js';
import classNames from 'classnames';

const PrivacyNotice = ({
  privacy,
  consentId
}) => {
  const [textHtml, setTextHtml] = useState('');
  useEffect(() => {
    if (consentId) {
      privacy.getConsentOptions(consentId).then(({
        text
      }) => setTextHtml(text));
    }
  }, [consentId]);
  return jsxs("span", Object.assign({
    className: styles.privacyNotice
  }, {
    children: [jsxs("span", Object.assign({
      className: classNames(styles.message, 'ktl-text-3')
    }, {
      children: ["By submitting this form I agree to the", ' ', jsx("a", Object.assign({
        target: "_blank",
        rel: "noreferrer noopener",
        href: "https://www.jetbrains.com/company/privacy.html",
        className: "rs-link"
      }, {
        children: "JetBrains Privacy Policy"
      }), void 0)]
    }), void 0), textHtml && jsx(Tooltip, Object.assign({
      content: jsx("span", {
        dangerouslySetInnerHTML: {
          __html: textHtml
        }
      }, void 0)
    }, {
      children: jsx(InfoIcon, {
        size: "s",
        className: styles.icon
      }, void 0)
    }), void 0)]
  }), void 0);
};

export { PrivacyNotice };
