import { jsx } from 'react/jsx-runtime';
import { useFormikContext } from 'formik';
import Button from '@rescui/button';

const FormikSubmitButton = ({
  disabled,
  busy,
  ...restProps
}) => {
  const {
    isValid,
    isSubmitting
  } = useFormikContext();
  return jsx(Button, Object.assign({}, restProps, {
    disabled: !isValid || disabled,
    busy: isSubmitting || busy,
    type: 'submit'
  }), void 0);
};

export { FormikSubmitButton };
