import { jsx } from 'react/jsx-runtime';
import { useTheme } from '@rescui/ui-contexts';
import classNames from 'classnames';
import styles from './nav-item.module.pcss.js';
import { useTextStyles } from '@rescui/typography';

const NavItem = ({
  data
}) => {
  const textCn = useTextStyles();
  const theme = useTheme();
  return jsx("li", Object.assign({
    className: classNames(styles.navItem, {
      [styles.navItemDarkTheme]: theme == 'dark'
    })
  }, {
    children: jsx("a", Object.assign({
      target: data.isTargetBlank ? '_blank' : undefined,
      href: data.url,
      title: data.title,
      className: classNames(textCn('rs-text-2'), textCn('rs-link', {
        hardness: 'average',
        mode: 'clear'
      }))
    }, {
      children: data.title
    }), void 0)
  }), void 0);
};

export { NavItem };
