import { jsx } from 'react/jsx-runtime';
import { useTheme } from '@rescui/ui-contexts';
import classNames from 'classnames';
import styles from './social-item.module.pcss.js';

const SocialItem = ({
  socialNetwork
}) => {
  const SocialIcon = socialNetwork.icon;
  const theme = useTheme();
  return jsx("a", Object.assign({
    target: "_blank",
    className: classNames(styles.socialItem, {
      [styles.socialItemDarkTheme]: theme === 'dark'
    }),
    href: socialNetwork.url,
    title: socialNetwork.title
  }, {
    children: jsx(SocialIcon, {}, void 0)
  }), void 0);
};

export { SocialItem };
