import { jsxs, jsx } from 'react/jsx-runtime';
import styles from './logo-large.module.pcss.js';
import SvgKotlinLogoLarge from './kotlin-logo-large.svg.js';
import classNames from 'classnames';
import { useTextStyles } from '@rescui/typography';
import { KOTLINLANG_URL } from '../consts.js';

const LogoLarge = ({
  productWebUrl,
  className
}) => {
  const version = productWebUrl ? getProductVersion(productWebUrl) : null;
  const textCn = useTextStyles();
  return jsxs("div", Object.assign({
    className: classNames(styles.container, className, textCn('rs-text-3', {
      hardness: 'average'
    }))
  }, {
    children: [jsx("a", Object.assign({
      className: styles.link,
      href: KOTLINLANG_URL,
      "aria-label": "Kotlin Home Page"
    }, {
      children: jsx(SvgKotlinLogoLarge, {}, void 0)
    }), void 0), version && jsx("a", Object.assign({
      className: classNames(styles.versionTag),
      href: productWebUrl,
      target: "_blank"
    }, {
      children: version
    }), void 0)]
  }), void 0);
};

function getProductVersion(productWebUrl) {
  const match = /v?\d+\.\d+\.\d+$/.exec(productWebUrl);
  return match ? match[0] : null;
}

export { LogoLarge };
