import { jsxs, jsx } from 'react/jsx-runtime';
import SvgKotlinLogoSmall from './kotlin-logo-small.svg.js';
import styles from './logo-small.module.pcss.js';
import classNames from 'classnames';
import { useTextStyles } from '@rescui/typography';
import { KOTLINLANG_URL } from '../consts.js';

const LogoSmall = ({
  homeTitle,
  homeUrl,
  className
}) => {
  const textCn = useTextStyles();
  return jsxs("div", Object.assign({
    className: classNames(styles.logoSmall, className)
  }, {
    children: [jsx("a", Object.assign({
      href: KOTLINLANG_URL,
      className: styles.iconWrap
    }, {
      children: jsx(SvgKotlinLogoSmall, {
        className: styles.icon
      }, void 0)
    }), void 0), jsx("a", Object.assign({
      href: homeUrl,
      className: classNames(styles.link, textCn('rs-h3'))
    }, {
      children: homeTitle
    }), void 0)]
  }), void 0);
};

export { LogoSmall };
