import { jsx } from 'react/jsx-runtime';
import styles from './menu-button.pcss.js';
import classNames from 'classnames';
import SvgHamburgerIcon from './hamburger-icon.svg.js';
import SvgCloseIcon from './close-icon.svg.js';

const MenuButton = ({
  onClick,
  isExpanded
}) => {
  return jsx("button", Object.assign({
    type: "button",
    className: classNames(styles.button),
    "aria-haspopup": "true",
    "aria-label": "Open the navigation",
    onClick: onClick
  }, {
    children: isExpanded ? jsx(SvgCloseIcon, {}, void 0) : jsx(SvgHamburgerIcon, {}, void 0)
  }), void 0);
};

export { MenuButton };
