import { jsx } from 'react/jsx-runtime';
import styles from './search-button.module.pcss.js';
import classNames from 'classnames';
import SvgSearch from './search.svg.js';

const SearchButton = ({
  onClick,
  isActive
}) => {
  return jsx("button", Object.assign({
    type: "button",
    className: classNames(styles.button, {
      [styles.active]: isActive
    }),
    "aria-label": "Search",
    onClick: onClick
  }, {
    children: jsx(SvgSearch, {}, void 0)
  }), void 0);
};

export { SearchButton };
